Bug 854239 - Review Request: gpars - Groovy Parallel Systems
Review Request: gpars - Groovy Parallel Systems
Status: CLOSED DUPLICATE of bug 1163724
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On: jcsp 1159976
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 09:06 EDT by gil cattaneo
Modified: 2014-11-13 06:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-13 06:37:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
msimacek: fedora‑review?


Attachments (Terms of Use)
build.log (141.48 KB, text/plain)
2014-10-31 09:54 EDT, Michael Simacek
no flags Details

  None (edit)
Description gil cattaneo 2012-09-04 09:06:51 EDT
Spec URL: http://gil.fedorapeople.org/gpars.spec
SRPM URL: http://gil.fedorapeople.org/gpars-0.12-1.fc16.src.rpm
Description: Library that provides multiple high-level abstractions for
writing concurrent code in Groovy, including: map/reduce,
fork/join, asynchronous closures, actors, agents, data-flow
concurrency and other concepts.
Fedora Account System Username: gil
Comment 1 gil cattaneo 2014-10-31 09:10:13 EDT
Spec URL: http://gil.fedorapeople.org/gpars.spec
SRPM URL: http://gil.fedorapeople.org/gpars-1.0.0-1.fc19.src.rpm

- update to 1.0.0
- use JVM jsr166
Comment 2 Michael Simacek 2014-10-31 09:54:35 EDT
Created attachment 952510 [details]
build.log

There's a missing BR on javapackages-local (if you want to build it on older Fedoras, add BuildRequires: maven-local instead). Even after adding it, it doesn't build for me.
Comment 3 gil cattaneo 2014-10-31 11:01:01 EDT
Which fedora version used to build GPars?
groovy package have its JAR in _javadir or in a sub-directory?
Comment 4 Michael Simacek 2014-11-03 10:17:57 EST
My mistake, I had different version of groovy in my local repo which ended up in mock.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Missing BuildRequires: javapackages-local and aqute-bndlib
- Doesn't build with netty3 in rawhide - the jar path is different and
  the <version> in POM doesn't match
- Bundled extra166y - I think this part should be packaged separately

===== MUST items =====

Generic:
[?]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 24 files have unknown license.
     Detailed output of licensecheck in
     /home/msimacek/reviews/gpars-1.0.0-1.fc19.src/review-
     gpars/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/maven-metadata
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/maven-metadata
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in gpars-
     javadoc
[?]: Package functions as described.
[-]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[-]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gpars-1.0.0-1.fc22.noarch.rpm
          gpars-javadoc-1.0.0-1.fc22.noarch.rpm
          gpars-1.0.0-1.fc22.src.rpm
gpars.noarch: W: invalid-url URL: http://gpars.codehaus.org/ HTTP Error 404: Unknown page Home
gpars-javadoc.noarch: W: invalid-url URL: http://gpars.codehaus.org/ HTTP Error 404: Unknown page Home
gpars.src: W: invalid-url URL: http://gpars.codehaus.org/ HTTP Error 404: Unknown page Home
gpars.src: W: file-size-mismatch gpars-1.0.0.pom = 1770, http://repo1.maven.org/maven2/org/codehaus/gpars/gpars/1.0.0/gpars-1.0.0.pom = 1780
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gpars-javadoc gpars
gpars-javadoc.noarch: W: invalid-url URL: http://gpars.codehaus.org/ HTTP Error 404: Not Found
gpars.noarch: W: invalid-url URL: http://gpars.codehaus.org/ HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
gpars-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

gpars (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.codehaus.jcsp:jcsp)
    mvn(org.jboss.netty:netty:3)



Provides
--------
gpars-javadoc:
    gpars-javadoc

gpars:
    gpars
    mvn(org.codehaus.gpars:gpars)
    mvn(org.codehaus.gpars:gpars:pom:)
    osgi(gpars.org)



Source checksums
----------------
Using local file /home/msimacek/reviews/gpars-1.0.0-1.fc19.src/gpars-build.xml as upstream
file:///home/msimacek/reviews/gpars-1.0.0-1.fc19.src/gpars-build.xml :
  CHECKSUM(SHA256) this package     : fdc1d1766fa3d88ac05e588bca2c7d71c3a87ab1c40d308969dad5fbcfee8920
  CHECKSUM(SHA256) upstream package : fdc1d1766fa3d88ac05e588bca2c7d71c3a87ab1c40d308969dad5fbcfee8920
Using local file /home/msimacek/reviews/gpars-1.0.0-1.fc19.src/gpars-build.properties as upstream
file:///home/msimacek/reviews/gpars-1.0.0-1.fc19.src/gpars-build.properties :
  CHECKSUM(SHA256) this package     : 67129c6176a74a5ab659e55e9eb7f8d58de5c5d6759450100c5745857f0933e6
  CHECKSUM(SHA256) upstream package : 67129c6176a74a5ab659e55e9eb7f8d58de5c5d6759450100c5745857f0933e6
https://github.com/GPars/GPars/archive/release-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : fdc23254dd7579cb1776b647ae9f17eceb27c7248f4e9a26bb3d8787655e05b4
  CHECKSUM(SHA256) upstream package : fdc23254dd7579cb1776b647ae9f17eceb27c7248f4e9a26bb3d8787655e05b4
http://repo1.maven.org/maven2/org/codehaus/gpars/gpars/1.0.0/gpars-1.0.0.pom :
  CHECKSUM(SHA256) this package     : 8236507d30914efbb39390c1703f98077818cf68fd30b9011a918df12c147767
  CHECKSUM(SHA256) upstream package : da836beccd59906bbef8ba2fee7a5e22c5d40468825947a05a174ca375f09dfa
diff -r also reports differences


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -n gpars
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 5 gil cattaneo 2014-11-03 10:50:08 EST
(In reply to Michael Simacek from comment #4)
> My mistake, I had different version of groovy in my local repo which ended
> up in mock.

If you have also groovy 2.x in your repo then you have a broken package or you have not built the ant sub-module, or worse you also don't package the groovy-all 2.x jar (Note: groovy 2.x with all sub-modules only without external deps)

> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> Issues:
> =======
> - Missing BuildRequires: javapackages-local and aqute-bndlib
Already fixed now use aqute-bnd, you should (re-)download the latest src rpm
> - Doesn't build with netty3 in rawhide - the jar path is different and
>   the <version> in POM doesn't match
Can you post the correct jar path (/usr/..../netty3<?>.jar)
> - Bundled extra166y - I think this part should be packaged separately
Re-open https://bugzilla.redhat.com/show_bug.cgi?id=854234 with only this module?
Comment 6 Michael Simacek 2014-11-03 11:09:34 EST
(In reply to gil cattaneo from comment #5)
> (In reply to Michael Simacek from comment #4)
> > My mistake, I had different version of groovy in my local repo which ended
> > up in mock.
> 
> If you have also groovy 2.x in your repo then you have a broken package or
> you have not built the ant sub-module, or worse you also don't package the
> groovy-all 2.x jar (Note: groovy 2.x with all sub-modules only without
> external deps)

I no longer have it in the local repo so there shouldn't be any such problem anymore.

> 
> > Package Review
> > ==============
> > 
> > Legend:
> > [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> > [ ] = Manual review needed
> > 
> > 
> > Issues:
> > =======
> > - Missing BuildRequires: javapackages-local and aqute-bndlib
> Already fixed now use aqute-bnd, you should (re-)download the latest src rpm
> > - Doesn't build with netty3 in rawhide - the jar path is different and
> >   the <version> in POM doesn't match
> Can you post the correct jar path (/usr/..../netty3<?>.jar)

/usr/share/java/netty3-3.6.6.jar

and change the <version> tag in the POM to just "3", otherwise the specified version doesn't match the compat provider.

> > - Bundled extra166y - I think this part should be packaged separately
> Re-open https://bugzilla.redhat.com/show_bug.cgi?id=854234 with only this
> module?

Rather open a new one with just the extra part. The other parts of jsr-166 seem to be already present in JDK, so I'd like to avoid duplication. Name it extra166y or jsr-166-extra.
Comment 7 Michael Simacek 2014-11-03 11:11:52 EST
You can use
xmvn-resolve org.jboss.netty:netty:3
to get the JAR path during the build if you're afraid it may change
Comment 8 gil cattaneo 2014-11-03 13:56:31 EST
Spec URL: http://gil.fedorapeople.org/gpars.spec
SRPM URL: http://gil.fedorapeople.org/gpars-1.0.0-2.fc19.src.rpm

- fix netty3 jar path
- remove bundled extra166y
Comment 9 Mikolaj Izdebski 2014-11-04 03:14:51 EST
I think that latest version of gpars should be packaged. Groovy will be updated to 2.x soon. gpars is one of missing dependencies blocking the update.
Comment 10 Michael Simacek 2014-11-04 04:31:40 EST
Can you try packaging the latest upstream version? Build it with gradle and groovy from this copr: https://copr.fedoraproject.org/coprs/mizdebsk/gradle/
We will help with the bootstrapping in Fedora later.
Comment 11 gil cattaneo 2014-11-04 05:37:10 EST
(In reply to Michael Simacek from comment #10)
> Can you try packaging the latest upstream version? Build it with gradle and
> groovy from this copr: https://copr.fedoraproject.org/coprs/mizdebsk/gradle/
> We will help with the bootstrapping in Fedora later.

Really? At the moment seem groovy 2 a pre-built library ... instead of 
http://kojipkgs.fedoraproject.org/work/cli-build/1413805291.952327.djugumGE/groovy-2.3.6-0.4.fc22.src.rpm(http://mizdebsk.fedorapeople.org/tmp/groovy-all-2.3.6.jar) if is the same can use http://repo1.maven.org/maven2/org/codehaus/groovy/groovy-all/2.3.7/groovy-all-2.3.7.jar

An other problem is gradle-deps http://kojipkgs.fedoraproject.org/work/cli-build/1414747142.904699.vhhpzpox/gradle-deps-2.1-0.17.fc22.src.rpm
sbt is avalable in Fedora repo(http://pkgs.fedoraproject.org/cgit/sbt.git/) the only missing artifact is Zinc (required also by scala-maven-plugin)

see https://fedoraproject.org/wiki/SIGs/bigdata/packaging/Scala
https://fedoraproject.org/wiki/SIGs/bigdata/packaging/Scala#Other_Scala_projects_to_package
Comment 12 Mikolaj Izdebski 2014-11-04 05:50:00 EST
(In reply to gil cattaneo from comment #11)
> (In reply to Michael Simacek from comment #10)
> > Can you try packaging the latest upstream version? Build it with gradle and
> > groovy from this copr: https://copr.fedoraproject.org/coprs/mizdebsk/gradle/
> > We will help with the bootstrapping in Fedora later.
> 
> Really? At the moment seem groovy 2 a pre-built library ... instead of 
> http://kojipkgs.fedoraproject.org/work/cli-build/1413805291.952327.djugumGE/
> groovy-2.3.6-0.4.fc22.src.rpm(http://mizdebsk.fedorapeople.org/tmp/groovy-
> all-2.3.6.jar) if is the same can use
> http://repo1.maven.org/maven2/org/codehaus/groovy/groovy-all/2.3.7/groovy-
> all-2.3.7.jar

We are working on building groovy 2.x from source, but it needs gpars.

> An other problem is gradle-deps
> http://kojipkgs.fedoraproject.org/work/cli-build/1414747142.904699.vhhpzpox/
> gradle-deps-2.1-0.17.fc22.src.rpm

gradle-deps is a temporary package which contains prebuild binaries which are not yet built from source. It will be eliminated before gradle is pushed to Fedora. As we package missing libraries, we are removing stuff from gradle-deps. For more details see https://fedoraproject.org/wiki/User:Mizdebsk/PackagingGradle

> sbt is avalable in Fedora repo(http://pkgs.fedoraproject.org/cgit/sbt.git/)
> the only missing artifact is Zinc (required also by scala-maven-plugin)

We are using packaged sbt, but sbt-compiler-interface doesn't have POM and Maven metadata (see bug #1155695). I can't enable them because sbt fails to build (see bug #1107277). Zinc is on my TODO list.
Comment 13 gil cattaneo 2014-11-04 06:42:05 EST
(In reply to Mikolaj Izdebski from comment #12)

> gradle-deps is a temporary package which contains prebuild binaries which
> are not yet built from source. It will be eliminated before gradle is pushed
> to Fedora. As we package missing libraries, we are removing stuff from
> gradle-deps. For more details see
> https://fedoraproject.org/wiki/User:Mizdebsk/PackagingGradle
> 
> > sbt is avalable in Fedora repo(http://pkgs.fedoraproject.org/cgit/sbt.git/)
> > the only missing artifact is Zinc (required also by scala-maven-plugin)
> 
> We are using packaged sbt, but sbt-compiler-interface doesn't have POM and
> Maven metadata (see bug #1155695). I can't enable them because sbt fails to
> build (see bug #1107277). Zinc is on my TODO list.
 for now you should remove this features with http://pkgs.fedoraproject.org/cgit/gradle.git/tree/gradle-1.6-no-zinc.patch?h=experimental
Comment 14 Mikolaj Izdebski 2014-11-04 07:24:25 EST
(In reply to gil cattaneo from comment #13)
> > > sbt is avalable in Fedora repo(http://pkgs.fedoraproject.org/cgit/sbt.git/)
> > > the only missing artifact is Zinc (required also by scala-maven-plugin)
> > 
> > We are using packaged sbt, but sbt-compiler-interface doesn't have POM and
> > Maven metadata (see bug #1155695). I can't enable them because sbt fails to
> > build (see bug #1107277). Zinc is on my TODO list.
>  for now you should remove this features with
> http://pkgs.fedoraproject.org/cgit/gradle.git/tree/gradle-1.6-no-zinc.
> patch?h=experimental

Thanks. I've disabled zinc support and removed dependency on gradle-deps:
https://github.com/mizdebsk/gradle-packaging/commit/fc4dfb12111e6ae428cb114104cfa8d9e19ac5df
Comment 15 gil cattaneo 2014-11-04 07:54:55 EST
Have too many problem for build with groovy 2.x, and prefer use an ant build script for avoid circular dependency
compile:
  [groovyc] Compiling 222 source files to /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/target/classes
  [groovyc] warning: [options] bootstrap class path not set in conjunction with -source 1.6
  [groovyc] /home/gil/rpmbuild/BUILD/GPars-release-1.2.1/src/main/groovy/groovyx/gpars/dataflow/operator/SeparationClosure.java:76: warning: non-varargs call of varargs method with inexact argument type for last parameter;
  [groovyc]         final List<Object> results = code.call(null);
  [groovyc]                                                ^
  [groovyc]   cast to Object for a varargs call
  [groovyc]   cast to Object[] for a non-varargs call and to suppress this warning
  [groovyc] Note: Some input files use or override a deprecated API.
  [groovyc] Note: Recompile with -Xlint:deprecation for details.
  [groovyc] Note: Some input files use unchecked or unsafe operations.
  [groovyc] Note: Recompile with -Xlint:unchecked for details.
  [groovyc] 2 warnings

BUILD FAILED
/home/gil/rpmbuild/BUILD/GPars-release-1.2.1/build.xml:40: java.lang.NoSuchMethodError: org.codehaus.groovy.classgen.ReturnAdder.<init>(Lorg/codehaus/groovy/classgen/ReturnAdder$ReturnStatementListener;)V
        at org.codehaus.groovy.transform.stc.StaticTypeCheckingVisitor.<init>(StaticTypeCheckingVisitor.java:177)
        at org.codehaus.groovy.transform.sc.StaticCompilationVisitor.<init>(StaticCompilationVisitor.java:71)
        at org.codehaus.groovy.transform.sc.StaticCompileTransformation.newVisitor(StaticCompileTransformation.java:91)
        at org.codehaus.groovy.transform.sc.StaticCompileTransformation.visit(StaticCompileTransformation.java:65)
        at org.codehaus.groovy.transform.ASTTransformationVisitor.visitClass(ASTTransformationVisitor.java:129)
        at org.codehaus.groovy.transform.ASTTransformationVisitor$2.call(ASTTransformationVisitor.java:172)
        at org.codehaus.groovy.control.CompilationUnit.applyToPrimaryClassNodes(CompilationUnit.java:970)
        at org.codehaus.groovy.control.CompilationUnit.doPhaseOperation(CompilationUnit.java:548)
        at org.codehaus.groovy.control.CompilationUnit.processPhaseOperations(CompilationUnit.java:526)
        at org.codehaus.groovy.control.CompilationUnit.compile(CompilationUnit.java:503)
        at org.codehaus.groovy.control.CompilationUnit.compile(CompilationUnit.java:482)
        at org.codehaus.groovy.tools.FileSystemCompiler.compile(FileSystemCompiler.java:60)
        at org.codehaus.groovy.tools.FileSystemCompiler.doCompilation(FileSystemCompiler.java:216)
        at org.codehaus.groovy.ant.Groovyc.compile(Groovyc.java:958)
        at org.codehaus.groovy.ant.Groovyc.execute(Groovyc.java:648)
        at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:291)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:606)
        at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
        at org.apache.tools.ant.Task.perform(Task.java:348)
        at org.apache.tools.ant.Target.execute(Target.java:392)
        at org.apache.tools.ant.Target.performTasks(Target.java:413)
        at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1399)
        at org.apache.tools.ant.Project.executeTarget(Project.java:1368)
        at org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecutor.java:41)
        at org.apache.tools.ant.Project.executeTargets(Project.java:1251)
        at org.apache.tools.ant.Main.runBuild(Main.java:811)
        at org.apache.tools.ant.Main.startAnt(Main.java:217)
        at org.apache.tools.ant.launch.Launcher.run(Launcher.java:280)
        at org.apache.tools.ant.launch.Launcher.main(Launcher.java:109)

NOTE: latest gpars release use multiverse 0.7.0 available @ https://gil.fedorapeople.org/multiverse-0.7.0-1.fc19.src.rpm
Comment 16 Mikolaj Izdebski 2014-11-04 11:09:47 EST
We need gpars 1.2.1 for groovy 2.x. If you don't want to package latest version then we'll have to package it ourselves.
Comment 17 Mikolaj Izdebski 2014-11-04 11:11:45 EST
As a note: a working (but not yet ready for review) 1.2.1 package built with gradle can be found at: https://github.com/mizdebsk/gradle-packaging/tree/gpars
Comment 18 gil cattaneo 2014-11-04 11:31:47 EST
(In reply to Mikolaj Izdebski from comment #17)
> As a note: a working (but not yet ready for review) 1.2.1 package built with
> gradle can be found at:
> https://github.com/mizdebsk/gradle-packaging/tree/gpars

If you think your package is a best solution, i have no problem to close this bug.
I'm glad to give an hand if necessary, as packager or reviewer
Comment 21 Mikolaj Izdebski 2014-11-10 11:48:57 EST
We'll probably use grpars packaged by me (spec can be found at [1], rpms at [2])

[1] https://github.com/mizdebsk/gradle-packaging/blob/gpars/gpars.spec
[2] http://copr-be.cloud.fedoraproject.org/results/mizdebsk/gradle/fedora-rawhide-x86_64/gpars-1.2.1-0.5.fc22/
Comment 22 gil cattaneo 2014-11-13 06:37:08 EST

*** This bug has been marked as a duplicate of bug 1163724 ***

Note You need to log in before you can comment on or make changes to this bug.